import { Strategy } from "./Strategy";
import { RotationManager } from "../managers";
/**
 * A zoom strategy.
 */
export declare class ZoomStrategy implements Strategy {
    /**
     * A rotation manager.
     */
    private rotationManager;
    /**
     * Indicates whether this zoom strategy should zoom in.
     */
    private zoomIn;
    /**
     * Constructs a new zoom strategy.
     *
     * @param rotationManager - A rotation manager.
     * @param zoomIn - Whether this strategy should zoom in.
     */
    constructor(rotationManager: RotationManager, zoomIn: boolean);
    execute(flag: boolean): void;
}
